Disc Label (6.x): System Requirements

Created on: May 6, 2013
Last updated: August 25, 2015

According to the developer (Smile Software), DiscLabel 6.x is compatible with Mac OS X 10.6 and later. Because of this, an Intel processor is also required (10.5.x was the last version of OS X which supported PowerPC Macs).